> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new website user attribute value

> Create a new website user attribute value



## OpenAPI

````yaml /api-reference/openapi.documented.json post /api/website_user_attributes/values
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/website_user_attributes/values:
    post:
      tags:
        - Identity
      summary: Create a new website user attribute value
      description: Create a new website user attribute value
      parameters: []
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        title: ID
                        description: Unique identifier for the website user attribute value
                        example: 123e4567-e89b-12d3-a456-426614174003
                      websiteUserAttributeId:
                        type: string
                        format: uuid
                        title: Website User Attribute ID
                        description: Unique identifier for the website user attribute
                        example: 123e4567-e89b-12d3-a456-426614174004
                      userId:
                        type: string
                        format: uuid
                        title: User ID
                        description: Unique identifier for the user
                        example: 123e4567-e89b-12d3-a456-426614174005
                      value:
                        type: string
                        title: Value
                        description: Value for the website user attribute
                        example: Website User Attribute Value
                    required:
                      - websiteUserAttributeId
                      - userId
                      - value
                websiteId:
                  type: string
                  format: uuid
                  title: Website ID
                  description: Unique identifier for the website
                  example: 123e4567-e89b-12d3-a456-426614174001
                organizationId:
                  type: string
                  format: uuid
                  title: Organization ID
                  description: Unique identifier for the organization
                  example: 123e4567-e89b-12d3-a456-426614174002
              required:
                - data
                - websiteId
                - organizationId
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    websiteId:
                      type: string
                    organizationId:
                      type: string
                    createdAt:
                      type: string
                      format: date-time
                    updatedAt:
                      type: string
                      format: date-time
                    websiteUserAttributeId:
                      type: string
                    value:
                      type: string
                    userId:
                      type: string
                  required:
                    - id
                    - websiteId
                    - organizationId
                    - createdAt
                    - updatedAt
                    - websiteUserAttributeId
                    - value
                    - userId
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````